/////////////////////////////////////////////////////////////////////////
//
// INICFG.CPP - Definition of AIniConfig, initialization using AIniFile
//
// (c) 1997 by Stefan Ruck, Frankfurt/Main, Germany
//
/////////////////////////////////////////////////////////////////////////

#include "inicfg.hpp"

#pragma info (none)
#include <istring.hpp>
#pragma info (restore)

#ifndef _MULTILIN_HPP_
#include "multilin.hpp"
#endif //_MULTILIN_HPP_

const char * const AIniConfig :: m_pszLanguage = "Language";  // define the string for the language key

//**********************************************************************************
// AIniConfig :: getLanguage - return the value saved for the language             *
//**********************************************************************************

int AIniConfig :: getLanguage () const

{
  if(!isLanguageSaved ())                        // was an element saved for the language?
     return (AMultilinTest :: none);             // no, return english

  // an element for the language exists, so retrieve it

  IString strLanguage (elementWithKey (m_pszLanguage));

  return (strLanguage. asInt ());
}

//***************************************************************************
// AIniConfig :: setLanguage - set the element for the position             *
//***************************************************************************

AIniConfig& AIniConfig :: setLanguage (const int nLanguage)

{
  IString strLanguage (nLanguage);

  addOrReplaceElementWithKey (m_pszLanguage, strLanguage);

  return (*this);
}
