/////////////////////////////////////////////////////////////////////////
//
// INICFG.HPP - Declaration of AIniConfig, initialization using AIniFile
//
// (c) 1997 by Stefan Ruck, Frankfurt/Main, Germany
//
/////////////////////////////////////////////////////////////////////////

#ifndef _INICFG_HPP_
#define _INICFG_HPP_

#pragma info (none)
#include <os2.h>
#pragma info (restore)

#include "inifile.hpp"

class AIniConfig : public AIniFile

{
  public:
    Boolean isLanguageSaved () const                  // is a value for the language in the profile?
              { return (containsKeyName (m_pszLanguage)); }

    int getLanguage () const;                         // retrieve the language

    AIniConfig& setLanguage (const int nLanguage);    // save the language

  private:
    static const char * const m_pszLanguage;          // language key name 
};

#endif // _INICFG_HPP_
